% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/VB_FCtemplateICA.R
\name{estimate.ESS}
\alias{estimate.ESS}
\title{Estimation of effective sample size}
\usage{
estimate.ESS(mesh, Y, ind = NULL, trace = FALSE)
}
\arguments{
\item{mesh}{INLA mesh}

\item{Y}{data}

\item{ind}{index of the data locations in the mesh}

\item{trace}{If \code{TRUE}, a formula based on the trace is used, otherwise the inverse correlation is used}
}
\value{
Estimate of the effective sample size
}
\description{
Estimation of effective sample size
}
\details{
The functions computes the effective sample size as \eqn{trace(Q^{-1})/trace(Q*Q)}
as in Bretherton et al. (1999), Journal of Climate.
}
