% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/estimate_template.utils.R
\name{var_sq_err}
\alias{var_sq_err}
\title{Compute the error between empirical and theoretical variance of covariance matrix elements}
\usage{
var_sq_err(nu, p, var_ij, xbar_ij, xbar_ii, xbar_jj)
}
\arguments{
\item{nu}{Inverse Wishart degrees of freedom parameter}

\item{p}{Matrix dimension for IW distribution}

\item{var_ij}{Empirical between-subject variance of covariance matrices at element (i,j)}

\item{xbar_ij}{Empirical mean of covariance matrices at element (i,j)}

\item{xbar_ii}{Empirical mean of covariance matrices at the ith diagonal element}

\item{xbar_jj}{Empirical mean of covariance matrices at the jth diagonal element}
}
\value{
Squared difference between the empirical and theoretical IW variance of covariance matrices at element (i,j)
}
\description{
Compute the error between empirical and theoretical variance of covariance matrix elements
}
